@echo off
setlocal

::set QEMUHOST=1

set QEMUDIR=c:\rugxulo\qemu
set QEMU=qemu-system-i386.exe

if not exist %QEMUDIR%\%QEMU% goto :eof

set MEM=-m 128
set CPU=-cpu pentium
set BIOS=-L %QEMUDIR%
set BOOT=-boot a -drive file=metados.img,format=raw,index=0,if=floppy
set NET=-net nic,model=pcnet -net user
set LOCALTIME=-rtc base=localtime

if not "%QEMUHOST%"=="" set HOSTFILES=-drive file=fat:rw:/rugxulo/livecd/metados

set HD=vmdk
REM %QEMUDIR%\qemu-img.exe create -f %HD% metahd.%HD% 500M
for %%a in (metahd.*) do if exist %%a set HARDDISK=-hda %%a

:run
start /b %QEMUDIR%\%QEMU% %MEM% %CPU% %BIOS% %BOOT% %NET% %HARDDISK% %HOSTFILES% %LOCALTIME% %*
